Name:       ruby-dict
Version:    0.9.4
Release:    %mkrel 17
Summary:    Ruby/DICT library
License:    GPLv2+
Group:      Development/Ruby
URL:        https://caliban.org/ruby/
Source:     https://caliban.org/files/ruby/%{name}-%{version}.tar.gz
Patch0:     ruby-dict-ruby19.patch
Patch1:     ruby-dict-ruby22.patch
BuildArch:  noarch
BuildRequires: ruby

%description
Ruby/DICT is an RFC 2229 compliant client-side library implementation of the
DICT protocol, written in the Ruby programming language. It can be used to
write clients that access dictionary definitions from a set of natural
language dictionary databases.

In addition, rdict, a dictionary client built on Ruby/DICT, is included.


%prep
%setup -q
%autopatch -p1

# make should not regenerate the docs, they need rdtool
touch doc/*

%build
ruby install.rb config --prefix=%{buildroot}%{_prefix} --site-ruby=%{buildroot}%{ruby_vendorlibdir} --bin-dir=%{buildroot}%{_bindir}
make setup

%install
make install ROOT=%{buildroot}%{_prefix}
mkdir -p %{buildroot}%{_mandir}/man{1,3}
install doc/dict.3 %{buildroot}%{_mandir}/man3/dict.3
install doc/rdict.1 %{buildroot}%{_mandir}/man1/rdict.1

%files
%doc Changelog COPYING doc/dict.html doc/rdict.html doc/rfc2229.txt README TODO
%{_bindir}/rdict
%{ruby_vendorlibdir}/dict.rb
%{_mandir}/man1/rdict.1.*
%{_mandir}/man3/dict.3.*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.9.4-17.mga10
+ Revision: 2211185
- Mageia 10 Mass Rebuild

* Fri Mar 25 2022 umeabot <umeabot> 0.9.4-16.mga9
+ Revision: 1826386
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.9.4-15.mga8
+ Revision: 1519209
- Mageia 8 Mass Rebuild

* Sat Oct 06 2018 pterjan <pterjan> 0.9.4-14.mga7
+ Revision: 1318191
- Fix install path
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Sun Jan 03 2016 pterjan <pterjan> 0.9.4-12.mga6
+ Revision: 918603
- Fix build

* Wed Oct 15 2014 umeabot <umeabot> 0.9.4-11.mga5
+ Revision: 747992
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.4-10.mga5
+ Revision: 688786
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.9.4-9.mga4
+ Revision: 561840
- Rebuild to fix provides

* Fri Oct 18 2013 umeabot <umeabot> 0.9.4-8.mga4
+ Revision: 522090
- Mageia 4 Mass Rebuild

* Fri Feb 08 2013 umeabot <umeabot> 0.9.4-7.mga3
+ Revision: 395856
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.9.4-6.mga3
+ Revision: 380818
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.9.4-5.mga3
+ Revision: 312847
- rebuild for new ruby

* Sun May 08 2011 shikamaru <shikamaru> 0.9.4-4.mga1
+ Revision: 96318
- Clean spec
- align tags and reorder them
- kill buildroot
- make stuff in build
- reorder sections
- bump rel
- imported package ruby-dict


* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.9.4-3mdv2010.0
+ Revision: 433496
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.4-2mdv2009.0
+ Revision: 269232
- rebuild early 2009.0 package (before pixel changes)

* Fri Jun 13 2008 Gustavo De Nardin <gustavodn@mandriva.com> 0.9.4-1mdv2009.0
+ Revision: 218669
- import ruby-dict


* Fri Jun 13 2008 Gustavo De Nardin <gustavodn@mandriva.com> 0.9.4-1mdv2009.0
- spec ported to Mandriva

* Sun May 20 2007 Ian Macdonald <ian@caliban.org> 0.9.4-1
- 0.9.4
- Server banner handling treated capabilities string as mandatory and didn't
  allow for null message IDs.

* Thu May 26 2005 Ian Macdonald <ian@caliban.org> 0.9.3-1
- 0.9.3
- Fix bug whereby text response could be mistaken for numeric status response.

* Wed Jun 10 2003 Ian Macdonald <ian@caliban.org>
- 0.9.2
- Print a message when a non-default matching strategy is used with rdict
  and no definitions are found.
- Fix a warning when run with Ruby 1.8.

* Thu Jan  2 2003 Ian Macdonald <ian@caliban.org>
- 0.9.1
- Allow multiple words to be specified on the command line of rdict.

* Fri May 24 2002 Ian Macdonald <ian@caliban.org>
- 0.9.0
